## org.apache.batik.apps.svgbrowser
Class HistoryBrowserInterface.RemoveChildCommand

    java.lang.Object
      org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
          org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.RemoveChildCommand

All Implemented Interfaces:
  UndoableCommand

Enclosing class:
  HistoryBrowserInterface

    public static class HistoryBrowserInterface.RemoveChildCommand

extends AbstractUndoableCommand

The RemoveChild command. Removes the given child node from its given parent node.

Field Summary
`protected org.w3c.dom.Node` `childNode` The node to be removed.
`protected int` `indexInChildrenArray` Node's index in parent's children array.
`protected org.w3c.dom.Node` `parentNode` Node's previous parent.

Fields inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`name`

Constructor Summary
`HistoryBrowserInterface.RemoveChildCommand(java.lang.String commandName, org.w3c.dom.Node parentNode, org.w3c.dom.Node childNode)` Constructor.

Method Summary
`void` `execute()` Executes this command.
`void` `redo()` Performs redo for this command.
`boolean` `shouldExecute()` Tests if the command can be executed.
`void` `undo()` Performs undo for this command.

Methods inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentNode

    protected org.w3c.dom.Node parentNode

  Node's previous parent.

### childNode

    protected org.w3c.dom.Node childNode

  The node to be removed.

### indexInChildrenArray

    protected int indexInChildrenArray

  Node's index in parent's children array.

Constructor Detail

### HistoryBrowserInterface.RemoveChildCommand

    public HistoryBrowserInterface.RemoveChildCommand(java.lang.String commandName,
                                                      org.w3c.dom.Node parentNode,
                                                      org.w3c.dom.Node childNode)

  Constructor.

Method Detail

### execute

    public void execute()

  Description copied from interface: `UndoableCommand`
  Executes this command.

  Specified by:
    `execute` in interface `UndoableCommand`
  Overrides:
    `execute` in class `AbstractUndoableCommand`

### undo

    public void undo()

  Description copied from interface: `UndoableCommand`
  Performs undo for this command.

  Specified by:
    `undo` in interface `UndoableCommand`
  Overrides:
    `undo` in class `AbstractUndoableCommand`

### redo

    public void redo()

  Description copied from interface: `UndoableCommand`
  Performs redo for this command.

  Specified by:
    `redo` in interface `UndoableCommand`
  Overrides:
    `redo` in class `AbstractUndoableCommand`

### shouldExecute

    public boolean shouldExecute()

  Description copied from interface: `UndoableCommand`
  Tests if the command can be executed.

  Specified by:
    `shouldExecute` in interface `UndoableCommand`
  Overrides:
    `shouldExecute` in class `AbstractUndoableCommand`
  Returns:
    True if command should be executed

Copyright © 2008 Apache Software Foundation. All Rights Reserved.